Real Email Validation API – REV Lightning

Real Email Validation API- REV Lightning – uses GET/POST methods and supports only HTTPS with TLS v1.2+.

We recommend limiting the API call rate to 10 per second. Check out the complete list of RealPhoneValidation API best practices here: realphonevalidation.com/api-best-practices/

Required Input Parameters:

ParameterDescription
Output(OPTIONAL) set to “json” or “xml”. Omitting this defaults to XML
EmailEmail address to verify
TokenUnique PW given by RealValidation

Response Fields:

Response FieldDescription
retval(See Appendix A below)
error_text(See Appendix A below)
reachableY = Email can be delivered to an individual address. N = Cannot be reached. ? = Unknown
accept_allY = Domain accepts delivery to any address. N = Domain only accepts explicit accounts. ? = Unknown
disposableY = Email is detected as disposable or temporary. N = Email is not.
freeY = Email is from a known free service. N = Email is not.
ispY = Email is given to internet service customers. N = Email is not.
cautionY = Email service MAY be used for fraudulent or suspicious activity. N = Email did not show extra signs of suspicion.

Example: Successful Request

https://api.realvalidation.com/rpvWebService/RealEmailLightning.php?email=dayehe6507z2@kaoing.com&token=12345-6789-1234-12345678

Result in XML

<?xml version="1.0" encoding="UTF-8"?>
<response>
    <retval>0</retval>
    <error_text></error_text>
    <id>79-C</id>
    <email>dayehe65@kaoing.com</email>
    <accept_all>N</accept_all>
    <disposable>Y</disposable>
    <free>N</free>
    <isp>N</isp>
    <caution>Y</caution>
    <reachable>Y</reachable>
</response>

Result in JSON

{
"retval":"0",
"error_text":"",
"id":"79",
"email":"dayehe65@kaoing.com",
"accept_all":"N",
"disposable":"Y",
"free":"N",
"isp":"N",
"caution":"Y",
"reachable":"Y"
}

Example: Unsuccessful Request

https://api.realvalidation.com/rpvWebService/RealEmailLightning.php?email=dayehe6507z2kaoing.com&token=12345-6789-1234-12345678

Result in XML

<?xml version=”1.0” encoding=”UTF-8”?>
  <response>
  <retval>-1</retval>
  <error_text>invalid email address format</error_text>
</response>

Result in JSON

{
"retval" : "-1",
"error_text" : "invalid email address format",
}

Appendix A:

Retval CodeError_textDescription
-1UnauthorizedToken not provided
-1Invalid email address formatThe email address is not formatted properly
-1The email address is not formatted properlyServer issue — try again
-1TimeoutThe response did not come back within the required time.
0Good Response
102Invalid email address formatThe email address is not formatted properly
Email Verification API Doc
Real Email Validation – REV Lightning API 03162026

Before you go...

Are you currently using a
phone validation service?

Close
Scroll to Top